Support

Verify DNS record configuration

View as Markdown

Verifies that all required DNS records have been configured correctly.

Full description

| Verifies that all required DNS records have been configured correctly. The RA knows which records are required based on the registration and will check for all four required records (HTTPS, TLSA, _ans, _ra-badge). This is the final step for external domain registration.

POST
/v1/agents/{agentId}/verify-dns

Authorization

AuthorizationBearer <token>

GoDaddy OAuth 2.0 access token sent as Authorization: Bearer <token>. The scope(s) listed on each operation are enforced per-operation. A token requires at least one of the scopes listed for that operation; ans.agent-registration:write implies ans.agent-registration:read on every ANS operation. Scopes do not apply to API key authentication.

In: header

Scope: ans.agent-registration:write

Path Parameters

agentId*string

Unique identifier of the agent

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agents/string/verify-dns"
{  "completedSteps": [    "string"  ],  "createdAt": "2019-08-24T14:15:22Z",  "expiresAt": "2019-08-24T14:15:22Z",  "pendingSteps": [    "string"  ],  "phase": "INITIALIZATION",  "status": "PENDING_VALIDATION",  "updatedAt": "2019-08-24T14:15:22Z"}

Last updated on

How is this guide?